- Only Active/Good Standing subscriptions can be paused.
- Paused subscriptions can only be Resumed or Cancelled.
- A
pause_historylist of Subscription Pause objects will be added to the Subscription object for each pause and resume activity on a Subscription. - Subscriptions paused immediately are paused without refund and will return “Paused” as both
statusandbilling_state. - Subscriptions paused at the beginning of the next billing cycle will return “Pending Pause” as both
statusandbilling_stateuntil the end of the current billing cycle. At the beginning of the next billing cycle, the Subscription will automatically move from “Pending Pause” to “Paused”statusandbilling_state. - On the effective date of the pause, a Subscriptions Paused Push Notification is triggered if the Merchant is subscribed to that ‘autobills’ push class and ‘pause’ event.
- Entitlements granted from the BillingPlan (or any active Product of the Subscription) are stopped on the effective date of the pause, and Entitlements Stopped Push Notifications are triggered if the Merchant is subscribed to the ‘entitlement’ push class and the ‘stop’ push event.
Reason Codes
Subscribe provides the following default reason codes.
Note: Merchant-specific reason codes can be implemented through Subscribe Delivery or Support Teams.
HTTP Request
POST https://api.vindicia.com/subscriptions/:id/actions/pause
Route (URL) Parameters
Query Parameters
Accepts
NoneReturns
JSON -oneOf:
- Subscription object
- Error object

